### Constructor

# Gtk.Picture.new_for_resource

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_resource (
      const char* resource_path
    )

#### Description [src]

Creates a new `GtkPicture` displaying the resource at `resource_path`.

This is a utility function that calls `gtk_picture_new_for_file()`. See that function for details.

#### Parameters

`resource_path` | `const char*`
| resource path to play back
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new `GtkPicture`
Ownership is not transferred to the caller